Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.NoMMap Property
DatabaseEnvironment Class See Also Send Feedback

If true, Berkeley DB will copy read-only database files into the local cache instead of potentially mapping them into process memory.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#
    public bool NoMMap { get; set; }

Visual Basic (Declaration)
    Public Property NoMMap As Boolean

Visual C++
    public:
    property bool NoMMap {
    	bool get ();
    	void set (bool value);
    }

# See Also

DatabaseEnvironment Class
BerkeleyDB Namespace
DatabaseEnvironment..::.MMapSize